Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface QueryOperationalStatusMonitorValue

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, QueryValue, java.io.Serializable, SerializerFactory

All Known Subinterfaces:
  QueryByDNValue

All Known Implementing Classes:
  QueryByDNValueImpl, QueryOperationalStatusMonitorValueImpl

public interface QueryOperationalStatusMonitorValue
extends QueryValue

This interface represents the attributes of a measurement job that can be used to make queries for measurement jobs.

The attributes will be used to filter out the measurement jobs that match the values of the attributes. The attributes are concatenated using logical AND-operation.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Field Summary
`static java.lang.String` | `GRANULARITY_PERIOD` Constant for attribute granularity period.
`static java.lang.String` | `NAME` Constant for attribute measurement name.
`static java.lang.String` | `QUERY_TYPE` Constant that defines string representation of the query type.
`static java.lang.String` | `STATE` Constant for attribute performance monitor state.
`static java.lang.String` | `VALUE_TYPE` Constant for attribute performance monitor value type.

Method Summary
`int` | `getGranularityPeriod()` Gets the query value of the measurement job granularity period.
`java.lang.String` | `getName()` Returns the query value of the measurement job name.
`int` | `getState()` Gets the query value of the measurement job state.
`java.lang.String` | `getValueType()` Gets the query value of the measurement job value type.
`void` | `setGranularityPeriod(int granularityPeriod)` Sets the query value of the measurement job granularity period.
`void` | `setName(java.lang.String name)` Sets the query value of the measurement job name.
`void` | `setState(int state)` Sets the query value of the measurement job state.
`void` | `setValueType(java.lang.String type)` Sets the query value of the measurement job value type.

Methods inherited from interface com.sun.management.oss.QueryValue
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Field Detail

### QUERY_TYPE

    public static final java.lang.String QUERY_TYPE

  Constant that defines string representation of the query type.

### NAME

    public static final java.lang.String NAME

  Constant for attribute measurement name.

  See Also:
    Constant Field Values

### GRANULARITY_PERIOD

    public static final java.lang.String GRANULARITY_PERIOD

  Constant for attribute granularity period.

  See Also:
    Constant Field Values

### STATE

    public static final java.lang.String STATE

  Constant for attribute performance monitor state.

  See Also:
    Constant Field Values

### VALUE_TYPE

    public static final java.lang.String VALUE_TYPE

  Constant for attribute performance monitor value type.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()
                             throws java.lang.IllegalStateException

  Returns the query value of the measurement job name.

  Returns:
    String The query value of the measurement job name.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setName(java.lang.String)`

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Sets the query value of the measurement job name.

  The measurement job name can include a wild card ("*") in the end of the name.

  Parameters:
    `name` - The query value of the measurement job name.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getName()`

### getGranularityPeriod

    public int getGranularityPeriod()
                             throws java.lang.IllegalStateException

  Gets the query value of the measurement job granularity period.

  Returns:
    int The granularity period in seconds.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setGranularityPeriod(int)`

### setGranularityPeriod

    public void setGranularityPeriod(int granularityPeriod)
                              throws java.lang.IllegalArgumentException

  Sets the query value of the measurement job granularity period.

  The granularity period is specified in seconds.

  Parameters:
    `granularityPeriod` - The query value of the measurement job granularity period.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getGranularityPeriod()`

### getState

    public int getState()
                 throws java.lang.IllegalStateException

  Gets the query value of the measurement job state.

  Returns:
    int The query value of the measurement job state.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `OperationalStatusMonitorState`, `setState(int)`

### setState

    public void setState(int state)
                  throws java.lang.IllegalArgumentException

  Sets the query value of the measurement job state.

  Parameters:
    `state` - The query value of the measurement job state.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `OperationalStatusMonitorState`, `getState()`

### getValueType

    public java.lang.String getValueType()
                                  throws java.lang.IllegalStateException

  Gets the query value of the measurement job value type.

  Returns:
    String The query value of the measurement job value type.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setValueType(java.lang.String)`

### setValueType

    public void setValueType(java.lang.String type)
                      throws java.lang.IllegalArgumentException

  Sets the query value of the measurement job value type.

  The measurement job value type can be a base type of the requested measurement jobs.

  Parameters:
    `type` - The query value of the measurement job value type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getValueType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD